import pygame

pygame.init()
screen = pygame.display.set_mode((1000, 1000))
# Создаем объект (прямоугольник)
player = pygame.Rect(100, 100, 50, 50)
clock = pygame.time.Clock()
speed = 5

running = True
while running:
    # 1. Очистка экрана (чтобы не оставалось шлейфа)
    screen.fill((0, 0, 0))

    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            running = False

    # 2. Проверка нажатий клавиш
    keys = pygame.key.get_pressed()
    if keys[pygame.K_LEFT]: player.x -= speed
    if keys[pygame.K_RIGHT]: player.x += speed
    if keys[pygame.K_UP]: player.y -= speed
    if keys[pygame.K_DOWN]: player.y += speed



    # 3. Отрисовка объекта
    pygame.draw.rect(screen, (0, 255, 0), player)

    # 4. Обновление дисплея
    pygame.display.flip()
    clock.tick(60)  # 60 FPS

pygame.quit()
